import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';
import { B as BEM } from './bem.js';

const CardSubtitle = /*@__PURE__*/ proxyCustomElement(class CardSubtitle extends HTMLElement {
    constructor(registerHost) {
        super();
        if (registerHost !== false) {
            this.__registerHost();
        }
        /**
         * If `true` the card text color becomes white.
         */
        this.inverted = false;
        /**
         * If `true` the card text color is bold.
         */
        this.bold = false;
        /**
         * If `true` the card text color becomes white.
         */
        this.color = '';
    }
    render() {
        const block = BEM.block('card-subtitle');
        return (h(Host, { key: '8cdde0f96f513fa303e73fb6934ea31b8e081b70', class: Object.assign(Object.assign(Object.assign(Object.assign({}, block.class()), block.modifier('bold').class(this.bold)), block.modifier(`color-${this.color}`).class(!this.inverted)), block.modifier('inverted').class(this.inverted)) }, h("span", { key: '0706b14cbe256d54016e492de7be29adef5badb5' }, h("slot", { key: '22e5a11111f7b663e15e1ab1ebba3f3cafbecd01' }))));
    }
}, [260, "bal-card-subtitle", {
        "inverted": [4],
        "bold": [4],
        "color": [1]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["bal-card-subtitle"];
    components.forEach(tagName => { switch (tagName) {
        case "bal-card-subtitle":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, CardSubtitle);
            }
            break;
    } });
}

const BalCardSubtitle = CardSubtitle;
const defineCustomElement = defineCustomElement$1;

export { BalCardSubtitle, defineCustomElement };
